summary refs log tree commit diff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/guix-package.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/tests/guix-package.sh b/tests/guix-package.sh
index 598ea62aaa..60a0394f1c 100644
--- a/tests/guix-package.sh
+++ b/tests/guix-package.sh
@@ -25,11 +25,19 @@ guix-package --version
 profile="t-profile-$$"
 rm -f "$profile"
 
+trap 'rm "$profile" "$profile-"[0-9]*' EXIT
+
 guix-package -b -p "$profile"						\
     -i `guix-build -e '(@@ (distro packages base) %bootstrap-guile)'`
 test -L "$profile" && test -L "$profile-1-link"
 test -f "$profile/bin/guile"
 
+# Installing the same package a second time does nothing.
+guix-package -b -p "$profile"						\
+    -i `guix-build -e '(@@ (distro packages base) %bootstrap-guile)'`
+test -L "$profile" && test -L "$profile-1-link"
+! test -f "$profile-2-link"
+test -f "$profile/bin/guile"
 
 # Check whether we have network access.
 if guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)' 2> /dev/null
@@ -56,7 +64,7 @@ then
     test "`guix-package -p "$profile" -I 'g.*e' | cut -f1`" = "guile-bootstrap"
 
     # Remove a package.
-    guix-package -b -p "$profile" -r "guile-bootstrap-2.0"
+    guix-package -b -p "$profile" -r "guile-bootstrap"
     test -L "$profile-3-link"
     test -f "$profile/bin/make" && ! test -f "$profile/bin/guile"
 fi
@@ -67,4 +75,3 @@ guix-package -b -i "libsigsegv:lib" -n
 # Check whether `--list-available' returns something sensible.
 guix-package -A 'gui.*e' | grep guile
 
-rm "$profile" "$profile-"[0-9]*